    <!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>CSS Grid #01</title>
    <style>
        /* https://caniuse.com/#feat=css-grid */
        
        html,
        body {
            margin: 20px;
            height: calc(100% - 40px);
            background-color: lightgray;
        }
        
        div {
            display: flex;
            align-items: center;
            justify-content: center;
            font-size: 30px;
            border: solid 5px dodgerblue;
            background: #fff;
        }

        body {
            display: grid;
            grid-template-columns: 50% 50%;
            grid-template-columns: repeat(4, 8.33% 8.33% 8.33% 8.33%);
            grid-template-columns: repeat(4, 8.33%);
            grid-template-columns: repeat(11, 100px) 100px;
            /* minmax(100px, 300px) */
            grid-template-columns: 200px 20% 1fr;
            grid-template-columns: 3fr 6fr 3fr;
            grid-template-rows: 50% 25% repeat(2, 12.2%);
            grid-template-rows: 100px 1fr;
            grid-template-rows: 100px 1fr;
            grid-template-rows: 100px repeat(3, auto);
        }

        .d8 {
            grid-column-start: 2;
            grid-column-end: 4;
            grid-column-end: span 2;
            grid-row-start: 3;
            grid-row-end: 5;
            grid-row-end: span 2;
        }

        /* celulas podem se sobrepor */
        .d10, .d11{
            grid-column-start: 1;
            grid-column-end: 3;
            grid-row-start: 5;
            grid-row-end: span 2;
        }

        /* Quando celulas se sobrepõe */
        .d10 {
            /* Aquela que tem z-index miaor se sobrepõe */
            z-index: 10;
        }
    </style>
</head>

<body>
    <div class="d1">1</div>
    <div class="d2">2</div>
    <div class="d3">3</div>
    <div class="d4">4</div>
    <div class="d5">5</div>
    <div class="d6">6</div>
    <div class="d7">7</div>
    <div class="d8">8</div>
    <div class="d9">9</div>
    <div class="d10">10</div>
    <div class="d11">11</div>
    <div class="d12">12</div>
</body>

</html>